<template lang="pug">
.row
  .col-12
    strong Next Run
  .col-12
    .row.b-param-container
      BaseParamInput.col-12(ref='title' title='Title' :value='runConfig.title' :inEdit='inEdit')
      BaseParamInput.col-12.col-sm-6(ref='experiment' title='Exp. / Archive Folder' :value='runConfig.experiment' :inEdit='inEdit')
      BaseParamReadonly.col-12.col-sm-6(ref='runNumber' title='Run Number' :value='runConfig.runNumber' :inEdit='inEdit')
      BaseParamList.col-12.col-lg-6(ref='detectorsSetupId' title='Detectors Setup'
                       :inEdit='inEdit' :value='runConfig.detectorsSetupId'
                       :options='detectorsOpts')
      BaseParamList.col-12.col-lg-6(ref='materialsSetupId' title='Materials Setup'
                       :inEdit='inEdit' :value='runConfig.materialsSetupId'
                       :options='materialsOpts')
      BaseParamInput.col-12(ref='description' title='Description' :value='runConfig.description' :inEdit='inEdit')
    BaseAnimationBlock(anim='height' :appear='false')
      .row.mt-2.justify-content-end(v-show='inEdit')
        .col-auto
          button.btn.btn-primary.mx-1(type='submit' @click='submit()')
            kbd.keyHint.mr-2(v-if="showKeyHints") Ctrl+S
            | Submit
</template>
<script>

export { default } from './RunConfig.vue.js';

</script>
